LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

I'm confused about MathScript node "support". Will it still build?

Solved!
Go to solution

I've read a lot of documents on the site about MathScript Nodes and how we should migrate, not use for new designs, etc. But what about old designs that need rebuilt?

What concerns me is that one document said that in 2021, the MathScript Node is dropped for all 32-bit operating systems! Does this mean that even though a program was written in LV 2017, on a node-locked Windows 10 operating system, it won't build because of the MathScript Nodes?

0 Kudos
Message 1 of 3
(533 Views)
Solution
Accepted by topic author rds2112

I'm assuming you're referring to this page here:

https://www.ni.com/pdf/manuals/375325g.html#win32bit

 

"The MathScript Module will drop support for Windows 7 (32- and 64-bit), Windows Server 2008 R2, and all 32-bit Windows operating systems starting in 2021. Versions of this product that ship after May 1, 2021, may not install or execute correctly on these operating systems."

 

Now, it's not explicitly stated as such, but I interpret this to mean "Any MathScript version released after May 1, 2021 hasn't been tested on any 32-bit operating system and as such any change made to the product that makes it stop working on a 32-bit operating system will not be considered a bug".

 

So if you create code in 2017 and build it in anything versioned from 2017 to 2020, it should still work on the older things the way it did before.  If you build it in 2021 or later, it might work or it might not, but if it does not then it will probably never be patched to work again.

 

So you're probably OK if you have and continue to have a build environment with all of its components versioned before the cutoff date.  You might want to take measures to ensure you don't lose access to that environment for as long as you need to support 32-bit operating systems, such as imaging the drive, making it a virtual machine, making sure you have multiple local backups of pre-2021 installers, etc.

Message 2 of 3
(502 Views)

.... I interpret this to mean "Any MathScript version released after May 1, 2021 hasn't been tested on any 32-bit operating system and as such any change made to the product that makes it stop working on a 32-bit operating system will not be considered a bug".


I agree, as this is what is typically meant by "not supported". Thanks for your reply.

 

Crossing fingers that there's an image of the environment because apparently I can't download it (MathScript) from NI. Contacted service.

0 Kudos
Message 3 of 3
(482 Views)